FLANG

Public Types | Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::RealTypeVisitor Struct Reference

## Public Types
using | Result = std::optional< Expr< SomeReal > >
using | Types = RealTypes

## Public Member Functions
| RealTypeVisitor (int k, parser::CharBlock lit, FoldingContext &ctx)
template<typename T >
Result | Test ()

## Public Attributes
int | kind
parser::CharBlock | literal
FoldingContext & | context

The documentation for this struct was generated from the following file:

- lib/Semantics/expression.cpp